<Test>
   <Name>M20SPI</Name>
   <Cat>Router</Cat>
   <Protocol>SPIFlash</Protocol>
    <SPIFlash>1</SPIFlash>
    <Programram>0x80100000</Programram>
    <Memorys>
        <Memory>
            <Name>CFE</Name>
            <Type>1</Type>
            <Address>0x0</Address>
            <Size>0x40000</Size>
        </Memory>
        <Memory>
            <Name>KERNEL</Name>
            <Type>1</Type>
            <Address>0x40000</Address>
            <Size>0x3B0000</Size>
        </Memory>
        <Memory>
            <Name>NVRAM</Name>
            <Type>1</Type>
            <Address>0x3F0000</Address>
            <Size>0x10000</Size>
        </Memory>
    </Memorys>
</Test>
